package com.chinaweal.aiccs.aiccs.query.entity;

import com.chinaweal.aiccs.common.base.entity.AbstractModel;
import com.chinaweal.aiccs.common.util.ConstantsUtil;
import com.chinaweal.aiccs.common.util.CreditUtil;
import com.chinaweal.aiccs.common.util.StringUtils;

import java.math.BigDecimal;

/**
 * Created with IntelliJ IDEA.
 * Entity: 监管主体基本信息
 * User: zhouls
 * Date: 14-4-22
 * Time: 上午12:14
 * To change this template use File | Settings | File Templates.
 */
public class TSEntBaseQuery extends AbstractModel {

    /**
     * Default value included to remove warning. Remove or modify at will. *
     */
    private static final long serialVersionUID = 1L;

    /**
     *
     * laUpTime:最后更新时间
     * area_Code:地区代码
     */
    /**
     * 主体身份代码
     */
    private String priPID;
    /**
     * 注册号
     */
    private String regNO;
    /**
     * 社会统一信用代码
     */
    private String uscc;
    /**
     * entName:主体名称
     */
    private String entName;
    /**
     * entType:主体类型
     */
    private String entType;
    private String entTypeName;
    /**
     * 子主体类型
     */
    private String subEntType;
    /**
     * 行业门类
     */
    private String industryPhy;
    /**
     * 行业代码
     */
    private String industryCo;
    /**
     * 成立日期
     */
    private String foundDate;
    /**
     * 登记机关编码
     */
    private String regAicID;
    /**
     * 监管对象类型
     */
    private String insObjType;
    private String insObjTypeName;
    /**
     * 主体监管状态
     */
    private String status;
    /**
     * 法定代表人名称
     */
    private String leRepName;
    /**
     * 信用等级
     */
    private String levelType;

    private String iscmBaseInfo;

    /**
     * 企业概括类型
     */
    private String enterType;



    //综合查询后续追加字段
    /**
     * typeList：企业类型字符串拼接值
     * entBaseAddrID：经营场所id
     * address：经营地址
     * areaName：所属片区
     * realBusiness：实际经营范围
     * business：经营范围
     * groupName：监管小组
     * regCap：注册资本
     * opFrom：经营期限自
     * opTo：经营期限到
     * marketName：所属市场
     * localAdm：工商机构
     * checkYear：年报年度
     * annualDate：年报时间
     * industryName：重点行业
     * importAreaName：重点区域
     * hasArea：是否分配片区
     */
    private String typeList;
    private String entBaseAddrID;
    private String address;
    private String realBusiness;
    private String areaName;
    private String areaID;
    private String business;
    private String groupName;
    private String groupID;
    private String foundEndDate;
    private BigDecimal regCap;
    private String opFrom;
    private String opTo;
    private String marketID;
    private String marketName;
    private String localAdm;
    private String checkYear;
    private String annualDate;
    private String industryName;
    private String importAreaName;
    private String hasArea;
    private String addrtype;
    private String apprDate; // 核准登记日期
    private String lastInspectDate; // 上次检查时间(最近检查日期)
    private String liaName; // 联络员姓名
    private String mobileTel; // 联络员电话
    private String registdate; // 最近年报时间



    public String getTypeList() {
        return typeList;
    }

    public void setTypeList(String typeList) {
        this.typeList = typeList;
    }

    public String getIscmBaseInfo() {
        return iscmBaseInfo;
    }

    public void setIscmBaseInfo(String iscmBaseInfo) {
        this.iscmBaseInfo = iscmBaseInfo;
    }

    public String getRealBusiness() {
        return realBusiness;
    }

    public void setRealBusiness(String realBusiness) {
        this.realBusiness = realBusiness;
    }

    public String getHasArea() {
        return hasArea;
    }

    public void setHasArea(String hasArea) {
        this.hasArea = hasArea;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaID() {
        return areaID;
    }

    public void setAreaID(String areaID) {
        this.areaID = areaID;
    }

    public String getBusiness() {
        return business;
    }

    public void setBusiness(String business) {
        this.business = business;
    }

    public String getFoundEndDate() {
        return foundEndDate;
    }

    public void setFoundEndDate(String foundEndDate) {
        this.foundEndDate = foundEndDate;
    }

    public String getEntBaseAddrID() {
        return entBaseAddrID;
    }

    public void setEntBaseAddrID(String entBaseAddrID) {
        this.entBaseAddrID = entBaseAddrID;
    }

    public BigDecimal getRegCap() {
        return regCap;
    }

    public void setRegCap(BigDecimal regCap) {
        this.regCap = regCap;
    }

    public String getOpFrom() {
        return opFrom;
    }

    public void setOpFrom(String opFrom) {
        this.opFrom = opFrom;
    }

    public String getOpTo() {
        return opTo;
    }

    public void setOpTo(String opTo) {
        this.opTo = opTo;
    }

    public String getMarketID() {
        return marketID;
    }

    public void setMarketID(String marketID) {
        this.marketID = marketID;
    }

    public String getMarketName() {
        return marketName;
    }

    public void setMarketName(String marketName) {
        this.marketName = marketName;
    }

    public String getLocalAdm() {
        return localAdm;
    }

    public void setLocalAdm(String localAdm) {
        this.localAdm = localAdm;
    }

    public String getCheckYear() {
        return checkYear;
    }

    public void setCheckYear(String checkYear) {
        this.checkYear = checkYear;
    }

    public String getAnnualDate() {
        return annualDate;
    }

    public void setAnnualDate(String annualDate) {
        this.annualDate = annualDate;
    }

    public String getImportAreaName() {
        return importAreaName;
    }

    public void setImportAreaName(String importAreaName) {
        this.importAreaName = importAreaName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupID() {
        return groupID;
    }

    public void setGroupID(String groupID) {
        this.groupID = groupID;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    //initconstructor
    public TSEntBaseQuery() {
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getPriPID() {
        return priPID;
    }

    public void setPriPID(String priPID) {
        this.priPID = priPID;
    }

    public String getRegNO() {
        return regNO;
    }

    public void setRegNO(String regNO) {
        this.regNO = regNO;
    }

    public String getUscc() {
        return uscc;
    }

    public void setUscc(String uscc) {
        this.uscc = uscc;
    }


    public String getEntName() {
        return entName;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public String getEntType() {
        return entType;
    }

    public void setEntType(String entType) {
        this.entType = entType;
    }

    public String getEntTypeName() {
        return entTypeName;
    }

    public void setEntTypeName(String entTypeName) {
        this.entTypeName = entTypeName;
    }

    public String getSubEntType() {
        return subEntType;
    }

    public void setSubEntType(String subEntType) {
        this.subEntType = subEntType;
    }

    public String getIndustryPhy() {
        return industryPhy;
    }

    public void setIndustryPhy(String industryPhy) {
        this.industryPhy = industryPhy;
    }

    public String getIndustryCo() {
        return industryCo;
    }

    public void setIndustryCo(String industryCo) {
        this.industryCo = industryCo;
    }

    public String getFoundDate() {
        return foundDate;
    }

    public void setFoundDate(String foundDate) {
        this.foundDate = foundDate;
    }

    public String getRegAicID() {
        return regAicID;
    }

    public void setRegAicID(String regAicID) {
        this.regAicID = regAicID;
    }

    public String getInsObjType() {
        return insObjType;
    }

    public void setInsObjType(String insObjType) {
        this.insObjType = insObjType;
    }

    public String getInsObjTypeName() {
        return insObjTypeName;
    }

    public void setInsObjTypeName(String insObjTypeName) {
        this.insObjTypeName = insObjTypeName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getStatusString() {
        if (StringUtils.isNotBlank(status)) {
            return ConstantsUtil.getQualification().get(status);
        }
        return null;
    }

    public String getLeRepName() {
        return leRepName;
    }

    public void setLeRepName(String leRepName) {
        this.leRepName = leRepName;
    }

    public String getLevelType() {
        return levelType;
    }

    public String getLevelTypeString() {
        return CreditUtil.getLevelStr(levelType);
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }

    public String getAddrtype() {
        return addrtype;
    }

    public void setAddrtype(String addrtype) {
        this.addrtype = addrtype;
    }

    public String getEnterType() {
        return enterType;
    }

    public void setEnterType(String enterType) {
        this.enterType = enterType;
    }


    public String getApprDate() {
        return apprDate;
    }
    public void setApprDate(String apprDate) {
        this.apprDate = apprDate;
    }

    public String getLastInspectDate() {
        return lastInspectDate;
    }
    public void setLastInspectDate(String lastInspectDate) {
        this.lastInspectDate = lastInspectDate;
    }

    public String getLiaName() {
        return liaName;
    }
    public void setLiaName(String liaName) {
        this.liaName = liaName;
    }

    public String getMobileTel() {
        return mobileTel;
    }
    public void setMobileTel(String mobileTel) {
        this.mobileTel = mobileTel;
    }

    public String getRegistdate() {
        return registdate;
    }
    public void setRegistdate(String registdate) {
        this.registdate = registdate;
    }


    @Override
    public Object getModelId() {
        return priPID;  //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void setModelId(Object id) {
        setPriPID((String) id);
    }
}
